Package org.springframework.beans.factory

# Interface BeanFactoryInitializer<F extends ListableBeanFactory>

Type Parameters:
  `F` - the bean factory type

public interface BeanFactoryInitializer<F extends ListableBeanFactory>
Callback interface for initializing a Spring `ListableBeanFactory` prior to entering the singleton pre-instantiation phase. Can be used to trigger early initialization of specific beans before regular singletons.

Can be programmatically applied to a `ListableBeanFactory` instance. In an `ApplicationContext`, beans of type `BeanFactoryInitializer` will be autodetected and automatically applied to the underlying bean factory.

Since:
  6.2
Author:
  Juergen Hoeller
See Also:
  - `ConfigurableListableBeanFactory.preInstantiateSingletons()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(F beanFactory)`
Initialize the given bean factory.

## Method Details

### initialize

void initialize(F beanFactory)
Initialize the given bean factory.

Parameters:
  `beanFactory` - the bean factory to bootstrap